/*
 * Copyright (C) 2003 Stefano Rivoir <s.rivoir@gts.it>
 */

#include "kamix.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>
#include <kamixuapp.h>

static const char description[] =
    I18N_NOOP("An ALSA mixer application for KDE");

static const char version[] = "0.6.6";

static KCmdLineOptions options[] =
{
    KCmdLineLastOption
};

int main(int argc, char **argv)
{
    
    KAboutData about("kamix", I18N_NOOP("kamix"), version, description,
                     KAboutData::License_GPL, "(C) 2003-2007 Stefano Rivoir", 0, 0, "s.rivoir@gts.it");
    about.addAuthor( "Stefano Rivoir", 0, "s.rivoir@gts.it" );
    
    KCmdLineArgs::init(argc, argv, &about);
    KCmdLineArgs::addCmdLineOptions( options );
    KUniqueApplication::addCmdLineOptions();
    
    if ( !KamixUApp::start() )
	exit ( 0 );
    
    KamixUApp app;
    return app.exec();
}
